/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleProcesoPedido;

import java.util.List;
import javax.ejb.Local;

/**
 * @author informatica
 */
@Local
public interface DetalleProcesoPedidoFacadeLocal {

    void create(DetalleProcesoPedido detalleProcesoPedido);

    void edit(DetalleProcesoPedido detalleProcesoPedido);

    void remove(DetalleProcesoPedido detalleProcesoPedido);

    DetalleProcesoPedido find(Object id);

    List<DetalleProcesoPedido> findAll();

    List<DetalleProcesoPedido> findRange(int[] range);

    int count();

}
